<?php

namespace App\Generated\V1_1\Messages\Homepage;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class OpenidFeedMessage extends Message
{
    use ValueHelper;

    protected $openid;
    protected $take;
    protected $result;

    /**
     * @return string
     */
    public function getOpenid()
    {
        return $this->openid;
    }

    /**
     * @return int|null
     */
    public function getTake()
    {
        return $this->take;
    }

    public function requestRules()
    {
        return [
            ['openid', 'openid', 'bail|string', Constants::STRING, null],
            ['take', 'take', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
